import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteCustomActionTypeInput } from "../types/DeleteCustomActionTypeInput";
import { DeleteCustomActionTypeOutput } from "../types/DeleteCustomActionTypeOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/DeleteCustomActionTypeInput";
export * from "../types/DeleteCustomActionTypeOutput";
export * from "../types/DeleteCustomActionTypeExceptionsUnion";
export declare class DeleteCustomActionTypeCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteCustomActionTypeInput, OutputTypesUnion, DeleteCustomActionTypeOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: DeleteCustomActionTypeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteCustomActionTypeInput, DeleteCustomActionTypeOutput, Blob>;
    constructor(input: DeleteCustomActionTypeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<DeleteCustomActionTypeInput, DeleteCustomActionTypeOutput>;
}
