import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteWebhookInput } from "../types/DeleteWebhookInput";
import { DeleteWebhookOutput } from "../types/DeleteWebhookOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/DeleteWebhookInput";
export * from "../types/DeleteWebhookOutput";
export * from "../types/DeleteWebhookExceptionsUnion";
export declare class DeleteWebhookCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteWebhookInput, OutputTypesUnion, DeleteWebhookOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: DeleteWebhookInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteWebhookInput, DeleteWebhookOutput, Blob>;
    constructor(input: DeleteWebhookInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<DeleteWebhookInput, DeleteWebhookOutput>;
}
