import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { EnableStageTransitionInput } from "../types/EnableStageTransitionInput";
import { EnableStageTransitionOutput } from "../types/EnableStageTransitionOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/EnableStageTransitionInput";
export * from "../types/EnableStageTransitionOutput";
export * from "../types/EnableStageTransitionExceptionsUnion";
export declare class EnableStageTransitionCommand implements __aws_sdk_types.Command<InputTypesUnion, EnableStageTransitionInput, OutputTypesUnion, EnableStageTransitionOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: EnableStageTransitionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<EnableStageTransitionInput, EnableStageTransitionOutput, Blob>;
    constructor(input: EnableStageTransitionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<EnableStageTransitionInput, EnableStageTransitionOutput>;
}
