import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetPipelineInput } from "../types/GetPipelineInput";
import { GetPipelineOutput } from "../types/GetPipelineOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/GetPipelineInput";
export * from "../types/GetPipelineOutput";
export * from "../types/GetPipelineExceptionsUnion";
export declare class GetPipelineCommand implements __aws_sdk_types.Command<InputTypesUnion, GetPipelineInput, OutputTypesUnion, GetPipelineOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: GetPipelineInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetPipelineInput, GetPipelineOutput, Blob>;
    constructor(input: GetPipelineInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<GetPipelineInput, GetPipelineOutput>;
}
