import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListActionExecutionsInput } from "../types/ListActionExecutionsInput";
import { ListActionExecutionsOutput } from "../types/ListActionExecutionsOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/ListActionExecutionsInput";
export * from "../types/ListActionExecutionsOutput";
export * from "../types/ListActionExecutionsExceptionsUnion";
export declare class ListActionExecutionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListActionExecutionsInput, OutputTypesUnion, ListActionExecutionsOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: ListActionExecutionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListActionExecutionsInput, ListActionExecutionsOutput, Blob>;
    constructor(input: ListActionExecutionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<ListActionExecutionsInput, ListActionExecutionsOutput>;
}
