import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListActionTypesInput } from "../types/ListActionTypesInput";
import { ListActionTypesOutput } from "../types/ListActionTypesOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/ListActionTypesInput";
export * from "../types/ListActionTypesOutput";
export * from "../types/ListActionTypesExceptionsUnion";
export declare class ListActionTypesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListActionTypesInput, OutputTypesUnion, ListActionTypesOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: ListActionTypesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListActionTypesInput, ListActionTypesOutput, Blob>;
    constructor(input: ListActionTypesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<ListActionTypesInput, ListActionTypesOutput>;
}
