"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutActionRevision_1 = require("../model/operations/PutActionRevision");
var PutActionRevisionCommand = /** @class */ (function () {
    function PutActionRevisionCommand(input) {
        this.input = input;
        this.model = PutActionRevision_1.PutActionRevision;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutActionRevisionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutActionRevisionCommand;
}());
exports.PutActionRevisionCommand = PutActionRevisionCommand;
//# sourceMappingURL=PutActionRevisionCommand.js.map