"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutThirdPartyJobFailureResult_1 = require("../model/operations/PutThirdPartyJobFailureResult");
var PutThirdPartyJobFailureResultCommand = /** @class */ (function () {
    function PutThirdPartyJobFailureResultCommand(input) {
        this.input = input;
        this.model = PutThirdPartyJobFailureResult_1.PutThirdPartyJobFailureResult;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutThirdPartyJobFailureResultCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutThirdPartyJobFailureResultCommand;
}());
exports.PutThirdPartyJobFailureResultCommand = PutThirdPartyJobFailureResultCommand;
//# sourceMappingURL=PutThirdPartyJobFailureResultCommand.js.map