"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPipelineExecutionsInput_1 = require("../shapes/ListPipelineExecutionsInput");
var ListPipelineExecutionsOutput_1 = require("../shapes/ListPipelineExecutionsOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPipelineExecutions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPipelineExecutions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListPipelineExecutionsInput_1.ListPipelineExecutionsInput
    },
    output: {
        shape: ListPipelineExecutionsOutput_1.ListPipelineExecutionsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListPipelineExecutions.js.map