"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPipelinesInput_1 = require("../shapes/ListPipelinesInput");
var ListPipelinesOutput_1 = require("../shapes/ListPipelinesOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPipelines = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPipelines",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListPipelinesInput_1.ListPipelinesInput
    },
    output: {
        shape: ListPipelinesOutput_1.ListPipelinesOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListPipelines.js.map