"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PollForThirdPartyJobsInput_1 = require("../shapes/PollForThirdPartyJobsInput");
var PollForThirdPartyJobsOutput_1 = require("../shapes/PollForThirdPartyJobsOutput");
var ActionTypeNotFoundException_1 = require("../shapes/ActionTypeNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PollForThirdPartyJobs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PollForThirdPartyJobs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PollForThirdPartyJobsInput_1.PollForThirdPartyJobsInput
    },
    output: {
        shape: PollForThirdPartyJobsOutput_1.PollForThirdPartyJobsOutput
    },
    errors: [
        {
            shape: ActionTypeNotFoundException_1.ActionTypeNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=PollForThirdPartyJobs.js.map