"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartPipelineExecutionInput_1 = require("../shapes/StartPipelineExecutionInput");
var StartPipelineExecutionOutput_1 = require("../shapes/StartPipelineExecutionOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartPipelineExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartPipelineExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartPipelineExecutionInput_1.StartPipelineExecutionInput
    },
    output: {
        shape: StartPipelineExecutionOutput_1.StartPipelineExecutionOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        }
    ]
};
//# sourceMappingURL=StartPipelineExecution.js.map