"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ActionConfigurationProperty = {
    type: "structure",
    required: ["name", "required", "key", "secret"],
    members: {
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        required: {
            shape: {
                type: "boolean"
            }
        },
        key: {
            shape: {
                type: "boolean"
            }
        },
        secret: {
            shape: {
                type: "boolean"
            }
        },
        queryable: {
            shape: {
                type: "boolean"
            }
        },
        description: {
            shape: {
                type: "string",
                min: 1
            }
        },
        type: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ActionConfigurationProperty.js.map