"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionExecutionInput_1 = require("./_ActionExecutionInput");
var _ActionExecutionOutput_1 = require("./_ActionExecutionOutput");
exports._ActionExecutionDetail = {
    type: "structure",
    required: [],
    members: {
        pipelineExecutionId: {
            shape: {
                type: "string"
            }
        },
        actionExecutionId: {
            shape: {
                type: "string"
            }
        },
        pipelineVersion: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        stageName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        actionName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        startTime: {
            shape: {
                type: "timestamp"
            }
        },
        lastUpdateTime: {
            shape: {
                type: "timestamp"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        input: {
            shape: _ActionExecutionInput_1._ActionExecutionInput
        },
        output: {
            shape: _ActionExecutionOutput_1._ActionExecutionOutput
        }
    }
};
//# sourceMappingURL=_ActionExecutionDetail.js.map