"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionTypeId_1 = require("./_ActionTypeId");
var _ActionTypeSettings_1 = require("./_ActionTypeSettings");
var _ActionConfigurationPropertyList_1 = require("./_ActionConfigurationPropertyList");
var _ArtifactDetails_1 = require("./_ArtifactDetails");
exports._ActionType = {
    type: "structure",
    required: ["id", "inputArtifactDetails", "outputArtifactDetails"],
    members: {
        id: {
            shape: _ActionTypeId_1._ActionTypeId
        },
        settings: {
            shape: _ActionTypeSettings_1._ActionTypeSettings
        },
        actionConfigurationProperties: {
            shape: _ActionConfigurationPropertyList_1._ActionConfigurationPropertyList
        },
        inputArtifactDetails: {
            shape: _ArtifactDetails_1._ArtifactDetails
        },
        outputArtifactDetails: {
            shape: _ArtifactDetails_1._ArtifactDetails
        }
    }
};
//# sourceMappingURL=_ActionType.js.map