"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ArtifactRevisionList_1 = require("./_ArtifactRevisionList");
exports._PipelineExecution = {
    type: "structure",
    required: [],
    members: {
        pipelineName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        pipelineVersion: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        pipelineExecutionId: {
            shape: {
                type: "string"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        artifactRevisions: {
            shape: _ArtifactRevisionList_1._ArtifactRevisionList
        }
    }
};
//# sourceMappingURL=_PipelineExecution.js.map