"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionTypeId_1 = require("./_ActionTypeId");
var _ActionConfiguration_1 = require("./_ActionConfiguration");
var _PipelineContext_1 = require("./_PipelineContext");
var _ArtifactList_1 = require("./_ArtifactList");
var _AWSSessionCredentials_1 = require("./_AWSSessionCredentials");
var _EncryptionKey_1 = require("./_EncryptionKey");
exports._ThirdPartyJobData = {
    type: "structure",
    required: [],
    members: {
        actionTypeId: {
            shape: _ActionTypeId_1._ActionTypeId
        },
        actionConfiguration: {
            shape: _ActionConfiguration_1._ActionConfiguration
        },
        pipelineContext: {
            shape: _PipelineContext_1._PipelineContext
        },
        inputArtifacts: {
            shape: _ArtifactList_1._ArtifactList
        },
        outputArtifacts: {
            shape: _ArtifactList_1._ArtifactList
        },
        artifactCredentials: {
            shape: _AWSSessionCredentials_1._AWSSessionCredentials
        },
        continuationToken: {
            shape: {
                type: "string",
                min: 1
            }
        },
        encryptionKey: {
            shape: _EncryptionKey_1._EncryptionKey
        }
    }
};
//# sourceMappingURL=_ThirdPartyJobData.js.map