import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListWebhooksInput } from "../types/ListWebhooksInput";
import { ListWebhooksOutput } from "../types/ListWebhooksOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/ListWebhooksInput";
export * from "../types/ListWebhooksOutput";
export * from "../types/ListWebhooksExceptionsUnion";
export declare class ListWebhooksCommand implements __aws_sdk_types.Command<InputTypesUnion, ListWebhooksInput, OutputTypesUnion, ListWebhooksOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: ListWebhooksInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListWebhooksInput, ListWebhooksOutput, Blob>;
    constructor(input: ListWebhooksInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<ListWebhooksInput, ListWebhooksOutput>;
}
