"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteWebhookInput_1 = require("../shapes/DeleteWebhookInput");
var DeleteWebhookOutput_1 = require("../shapes/DeleteWebhookOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteWebhook = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteWebhook",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteWebhookInput_1.DeleteWebhookInput
    },
    output: {
        shape: DeleteWebhookOutput_1.DeleteWebhookOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=DeleteWebhook.js.map