"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetPipelineExecutionInput_1 = require("../shapes/GetPipelineExecutionInput");
var GetPipelineExecutionOutput_1 = require("../shapes/GetPipelineExecutionOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var PipelineExecutionNotFoundException_1 = require("../shapes/PipelineExecutionNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetPipelineExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetPipelineExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetPipelineExecutionInput_1.GetPipelineExecutionInput
    },
    output: {
        shape: GetPipelineExecutionOutput_1.GetPipelineExecutionOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: PipelineExecutionNotFoundException_1.PipelineExecutionNotFoundException
        }
    ]
};
//# sourceMappingURL=GetPipelineExecution.js.map