"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetPipelineStateInput_1 = require("../shapes/GetPipelineStateInput");
var GetPipelineStateOutput_1 = require("../shapes/GetPipelineStateOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetPipelineState = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetPipelineState",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetPipelineStateInput_1.GetPipelineStateInput
    },
    output: {
        shape: GetPipelineStateOutput_1.GetPipelineStateOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        }
    ]
};
//# sourceMappingURL=GetPipelineState.js.map