"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutJobSuccessResultInput_1 = require("../shapes/PutJobSuccessResultInput");
var PutJobSuccessResultOutput_1 = require("../shapes/PutJobSuccessResultOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var JobNotFoundException_1 = require("../shapes/JobNotFoundException");
var InvalidJobStateException_1 = require("../shapes/InvalidJobStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutJobSuccessResult = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutJobSuccessResult",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutJobSuccessResultInput_1.PutJobSuccessResultInput
    },
    output: {
        shape: PutJobSuccessResultOutput_1.PutJobSuccessResultOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: JobNotFoundException_1.JobNotFoundException
        },
        {
            shape: InvalidJobStateException_1.InvalidJobStateException
        }
    ]
};
//# sourceMappingURL=PutJobSuccessResult.js.map