"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionRevision_1 = require("./_ActionRevision");
var _ActionExecution_1 = require("./_ActionExecution");
exports._ActionState = {
    type: "structure",
    required: [],
    members: {
        actionName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        currentRevision: {
            shape: _ActionRevision_1._ActionRevision
        },
        latestExecution: {
            shape: _ActionExecution_1._ActionExecution
        },
        entityUrl: {
            shape: {
                type: "string",
                min: 1
            }
        },
        revisionUrl: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_ActionState.js.map